<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>List of channels</title>
    
    <!--style.css-->
    <link rel="stylesheet" href="../static/css/style.css">

</head>
<body>
<div class="card home">
    <h1>The distributed messanger</h1>
    <h2>List of message channels</h1>

    <ul>
        {% for channel in channels %}
            <a href="{{ url_for('show_channel') }}?channel={{ channel.endpoint | urlencode }}">
                <li>{{ channel.name }}</li>
            </a>
        {% endfor %}
    </ul>
</div>


</body>
</html>